summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--test/integration/framework8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/integration/framework b/test/integration/framework
index 60a8167fa..c4953812b 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -835,10 +835,14 @@ changetowebserver() {
else
shift
fi
- local LOG='/dev/null'
if test -x ${APTWEBSERVERBINDIR}/aptwebserver; then
cd aptarchive
- aptwebserver -o aptwebserver::fork=1 "$@" >$LOG 2>&1
+ local LOG="$(mktemp)"
+ addtrap "rm $LOG;"
+ if ! aptwebserver -o aptwebserver::fork=1 "$@" >$LOG 2>&1 ; then
+ cat $LOG
+ false
+ fi
local PID="$(cat aptwebserver.pid)"
if [ -z "$PID" ]; then
msgdie 'Could not fork aptwebserver successfully'